brand logo
 Página inicial / Linux / Como instalar o Node JS no Linux Mint 19/18?

Como instalar o Node JS no Linux Mint 19/18?

Linux
 -
instalar o Node JS no Linux Mint Voltar para à Página inicial 

Aprenda a como instalar o Node JS no Linux Mint 19 e 18. Aproveitando à sua visita, vamos aprender também: à instalar o SASS e o Gulp no Linux Mint.

IMPORTANTE: antes de iniciar este tutorial, veja logo abaixo quais versões do Linux Mint que o Node JS tem suporte. Você também pode optar por:


Aprenda à instalar o Node JS no Linux Mint 19/18

Eu vou instalar o Node JS no Linux Mint 19.2 Cinnamon Tina. Ele ainda não tem suporte ao Node JS v12, mas mesmo assim vou fazer a instalação e veja o resultado.

O Node JS é suportado nestas versões do Linux Mint:

  • Linux Mint 17 “Qiana” (via Ubuntu 14.04 LTS) – não disponível para Node.js 10 e posterior.
  • Linux Mint 17.1 “Rebecca” (via Ubuntu 14.04 LTS) – não disponível para Node.js 10 e posterior.
  • Linux Mint 17.2 “Rafaela” (via Ubuntu 14.04 LTS) – não disponível para Node.js 10 e posterior.
  • Linux Mint 18 “Sarah” (via Ubuntu 16.04 LTS)
  • Linux Mint 18.1 “Serena” (via Ubuntu 16.04 LTS)
  • Linux Mint 18.2 “Sonya” (via Ubuntu 16.04 LTS)
  • Linux Mint 18.3 “Sylvia” (via Ubuntu 16.04 LTS)
  • Linux Mint Debian Edition (LMDE) 2 “Betsy” (via Debian 8)
  • Linux Mint 19 “Tara” (via Ubuntu 18.04 LTS)
  • Linux Mint 19 “Tessa” (via Ubuntu 18.04 LTS)

Passo 1

Primeiro, abra o terminal pelo atalho: Ctrl + Alt + T e cole o comando abaixo no terminal e aperte Enter.

instalar o Node JS no Linux Mint, primeiro passo.
Clique na imagem do Passo 1 para visualizar.
curl -sL https://deb.nodesource.com/setup_12.x | sudo -E bash -

Note que na versão Tina ainda não tem suporte, mas será instalado o Node JS v8.10. Já na versão Tara o Node JS v12.0 tem suporte. Testei na versão Tessa o Node JS v11.0 e tem suporte também.

Passo 2

Cole o comando abaixo no terminal e aperte Enter.

sudo apt-get install -y nodejs

instalar o Node JS no Linux Mint, segundo passo.
Clique na imagem do Passo 2 para visualizar.

Se à sua versão do Linux Mint já tem suporte, você terá o Node JS + NPM. Agora no meu caso eu preciso instalar o NPM:

Passo 3

Cole o comando abaixo no terminal e aperte Enter.

sudo apt install npm

instalar o Node JS no Linux Mint, terceiro passo.
Clique na imagem do Passo 3 para visualizar.

Passo 4

Para ver a versão do Node JS que já está instalado, digite este comando no terminal:

node -v

instalar o Node JS no Linux Mint, quarto passo.
Clique na imagem do Passo 4 para visualizar.

Passo 5

Para ver a versão do NPM que já está instalado, digite este comando no terminal:

npm -v

instalar o Node JS no Linux Mint, quinto passo.
Clique na imagem do Passo 5 para visualizar.

Para desinstalar o NodeJS e o NPM do seu Linux Mint. Siga estes comandos:

Comando para remover o Node JS:

sudo apt-get remove nodejs

Comando para remover o NPM:

sudo apt-get remove npm

Agora que você já tem o NodeJS + NPM instalado em seu Linux Mint, aproveite para instalar o SASS e instalar o Gulp.


Aprenda à instalar o SASS no Linux Mint 19/18

Para instalar o SASS no Linux Mint, você precisa seguir este passo a passo:

Passo 1

Cole o comando abaixo no terminal e aperte Enter.

sudo su

instalar o Node JS no Linux Mint, sexto passo.
Clique na imagem do Passo 1 para visualizar.

Passo 2

Cole o comando abaixo no terminal e aperte Enter.

npm install -g sass

instalar o Node JS no Linux Mint, sétimo passo.
Clique na imagem do Passo 2 para visualizar.

Aprenda à instalar o Gulp no Linux Mint 19/18

Para instalar o Gulp no Linux Mint, você precisa seguir este passo a passo:

Passo 1

Cole o comando abaixo no terminal e aperte Enter.

sudo su

Passo 2

Cole o comando abaixo no terminal e aperte Enter.

npm install --global gulp-cli
Clique na imagem do Passo 2 para visualizar.

Aprenda mais:

Se chegou até aqui, você é determinado(a)! Espero que tenha gostado deste guia. Aqui no blog MixTutoriais eu dou várias dicas sobre: Windows, Linux e WordPress. Até o próximo tutorial!

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *